package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.file.entity.FileStorageDO;

import java.util.Date;

/**
 * <p>
 * 近两年财务报表
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
@TableName("c_corporate_finance")
public class CorporateFinance {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * 报表类型
     */
    @TableField("type")
    private String type;

    /**
     * 报表年月
     */
    @TableField("date")
    private Date date;

    /**
     * 金额单位
     */
    @TableField("amount_unit")
    private String amountUnit;

    @TableField(exist = false)
    private Long fileId;

    @TableField(exist = false)
    private FileStorageDO fileStorage;

    public FileStorageDO getFileStorage() {
        return fileStorage;
    }

    public void setFileStorage(FileStorageDO fileStorage) {
        this.fileStorage = fileStorage;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getAmountUnit() {
        return amountUnit;
    }

    public void setAmountUnit(String amountUnit) {
        this.amountUnit = amountUnit;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "CCorporateFinance{" +
            "cEnterpriseId=" + cEnterpriseId +
            ", type=" + type +
            ", date=" + date +
            ", amountUnit=" + amountUnit +
        "}";
    }
}
